#include<iostream>
#include<string>
using namespace std;
char a[1001];
int main()
{
    string s;
    int k=0;
    cin>>s;
    for(int i=0;i<=s.size()-1;++i)
    {
    	if(s[i]=='0'||s[i]=='1')
    	{
    		k++;
    		a[k]=s[i];
		}
		else
		{
			if(k>0)
			k--;
		}
	}
	for(int i=1;i<=k;++i)
	cout<<a[i];
    return 0;
}